/* screen.h */

#ifndef _SCRNLDG_H
#define _SCRNLDG_H

typedef struct
{
	short firstcolor;
	short nbcolors;
	char firstred;
} screen_paletteRGB;

typedef struct
{
	void *add_RGB;       /* adresse du buffer image au format natif RGB 8bits 
															par couleur ou au format natif de l'cran si on utilise
															les fonctions direct_xxx() */
	unsigned short largeur_RGB;   /* largeur de l'image RGB */
	unsigned short hauteur_RGB;   /* hauteur de l'image RGB */
	void *add_ECRAN;     /* adresse cran ou mmoire  */
	unsigned short largeur_ECRAN; /* largeur de l'cran en pixels */
	unsigned short hauteur_ECRAN; /* hauteur de l'cran en pixels */
	long octets;  /* nombres d'octets de dcalage en fin de ligne sur la plupart des 
								cartes = 0*/
	unsigned short  position_X;   /* position sur l'cran en pixels selon X de dpart de recopie */
	unsigned short position_Y;	   /* position sur l'cran en pixels selon Y de dpart de recopie */
	unsigned short X_voulu;       /* position dans l'image en pixels selon X de dpart de recopie */
	unsigned short Y_voulu;       /* position dans l'image en pixels selon Y de dpart de recopie */
	unsigned short largeur_voulue;/* largeur en pixel de recopie */
	unsigned short hauteur_voulue;/* hauteur en pixels de recopie */
  void *add_palette_SP;/* adresse d'un tableau de char 255 valeurs des correspondances
  																de couleur pour le cas sans palette hard */
} videoinf;

typedef struct
{
	long src_RGB;       /* adresse du buffer image au format natif RGB 8bits 
													par couleur*/
	unsigned short largeur_SRC;   /* largeur de l'image RGB */
	unsigned short hauteur_SRC;   /* hauteur de l'image RGB */
	long dest_RGB;     /* adresse destination  */
	unsigned short largeur_DEST; /* largeur image destination */
	unsigned short hauteur_DEST; /* hauteur image destination */
	long flag;    /* si &1 alors src_RGB = numro fichier GEMDOS pour le source
									 si &2 alors dest_RGB = numro fichier GEMDOS pour la destination */
	unsigned short X_src_start;   /* position dans la destination en pixels selon X de dpart de resize */
	unsigned short Y_src_start;	   /* position dans la destination en pixels selon Y de dpart de resize */
  unsigned short largeur_src_voulue; /* largeur source zone image  agrandir */
  unsigned short hauteur_src_voulue; /* largeur source zone image  agrandir */ 
	unsigned short X_dest_start;       /* position dans la source en pixels selon X de dpart de resize */
	unsigned short Y_dest_start;       /* position dans la source en pixels selon Y de dpart de resize */
	unsigned short largeur_dest_voulue;/* largeur  la destination en pixel apres resize */
	unsigned short hauteur_dest_voulue;/* hauteur  la destination en pixels apres resize */
} resize_struct;

typedef struct
{
	unsigned char *chainepix;  /* adresse de la chaine de caractre dcrivant un pixel */
	unsigned char retour1;    /* 0 oK, 0xFF cran non support */ 
	unsigned char retour2;    /* 0xFF routine gnrale lente */
	unsigned short version;    /* numro de version */
	unsigned char *palettecouleur; /* adresse palette couleur */
	unsigned char *palettegris;    /* adresse palette grise */
} sortievideo;

#endif